# $Revision: 1.26.2.2 $, $Date: 2007/03/01 15:38:06 $
Summary:	Gnutella P2P Network Client
Summary(es):	Cliente de la red P2P Gnutella
Summary(pl):	Klient sieci Gnutella
Name:		gtk-gnutella
Version:	0.96.3
Release:	2
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/gtk-gnutella/%{name}-%{version}.tar.bz2
# Source0-md5:	c6952037a10ea6d5ac5649e7b75f9d15
URL:		http://gtk-gnutella.sourceforge.net/
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libpaths.patch
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libxml2-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnutella P2P Network Client.

%description -l es
Cliente de la red P2P Gnutella.

%description -l pl
Klient sieci Gnutella.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./Configure \
	-Dprefix=%{_prefix} \
	-Dbindir=%{_bindir} \
	-Dprivlib=%{_datadir}/%{name} \
	-Dsysman=%{_mandir}/man1 \
	-Dldflags="-L/usr/%{_lib}" \
	-Dccflags="-Wall -I/usr/include/glib-2.0 -I/usr/%{_lib}/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/%{_lib}/gtk-2.0/include -I/usr/include/atk-1.0" \
	-Dcc="%{__cc}" \
	-Doptimize="%{rpmcflags}" \
	-Dyacc="bison -y" \
	-Dgtkversion=2  \
	-Dofficial=true -ders

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_PREFIX=$RPM_BUILD_ROOT
%{__make} install.man \
	INSTALL_PREFIX=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install extra_files/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
install extra_files/%{name}*.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-gnutella.spec,v $
Revision 1.26.2.2  2007/03/01 15:38:06  hawk
- added libpaths patch, fixes amd64
- release 2

Revision 1.26.2.1  2007/03/01 13:24:25  hawk
- updated to 0.96.3

Revision 1.26  2006/10/09 13:20:54  mmazur
- argh, forgot about md5sum

Revision 1.25  2006/10/09 13:20:09  mmazur
- update to 0.96.1; rel 1

Revision 1.24  2005/06/15 09:29:47  jasw
- add patch for gtk > 2.6
- add desktop file
- works on x86
- rel 2
- STBR pls

Revision 1.23  2005/01/20 16:44:40  roman
- updated to 0.95 version (version 0.94 is outdated)
- works OK on amd64
- release 1
- STBR

Revision 1.22  2004/11/14 12:49:38  havner
- rel 2

Revision 1.21  2004/11/06 22:04:32  roman
- builds on amd64, please test on other archs

Revision 1.20  2004/11/06 21:38:50  qboosh
- fixed __cc, simplified

Revision 1.19  2004/11/06 21:08:54  roman
- first approach to make it build on amd64

Revision 1.18  2004/07/23 21:46:24  wrobell
- ver. 0.94

Revision 1.17  2004/07/08 06:16:26  wrobell
- ver. 0.93.4

Revision 1.16  2004/02/07 22:59:54  jasio
- Added additional BuildRequires - bison. Now package is building.
- STBR for AC

Revision 1.15  2003/11/14 22:39:30  saq
- es translations

Revision 1.14  2003/11/05 12:31:55  wrobell
- ver. 0.93

Revision 1.13  2003/08/02 20:57:40  radzio
- updated to 0.92.1c
- patch0 is needless with --enable-gtk2

Revision 1.12  2003/07/07 10:58:17  qboosh
- BR: ac,am,gt,lt

Revision 1.11  2003/07/07 10:56:01  pascalek
- finished update

Revision 1.10  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.9  2003/05/27 13:46:55  djrzulf
- updated to 0.92c, NFY,

Revision 1.8  2003/05/25 05:48:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/25 17:02:19  malekith
- updated to 0.91.9/GTK2 version; works, but you need to change braindamged config (it uses SOCKS 4 by default)

Revision 1.6  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.5  2002/11/26 08:57:53  marcus
- fixed Source0, adapterized

Revision 1.4  2002/11/26 07:38:54  djrzulf
- modyfied build process

Revision 1.3  2002/11/26 07:33:45  djrzulf
- updated to 0.91.1, STBR

Revision 1.2  2002/10/24 10:18:14  wrobell
- ver. 0.91

Revision 1.1  2002/08/02 10:27:37  wrobell
- written from scratch
